OOjsUI Object-Oriented JavaScript – User Interface

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
OOUI\TabIndexedElement Class Reference

Element supporting "sequential focus navigation" using the 'tabindex' attribute. More...

Inheritance diagram for OOUI\TabIndexedElement:
[legend]
Collaboration diagram for OOUI\TabIndexedElement:
[legend]

## Public Member Functions
| __construct (Element $element, array $config=array())
| setTabIndex ($tabIndex)
| Set tab index value. More...
| updateTabIndex ()
| Update the tabIndex attribute, in case of changes to tabIndex or disabled state. More...
| getTabIndex ()
| Get tab index value. More...
| getConfig (&$config)
Public Member Functions inherited from OOUI\ElementMixin
| __construct (Element $element, Tag $target, array $config=array())
| Create element. More...
| getConfig (&$config)
| Add properties to the given `$config` array to allow reconstruction of this widget via its constructor. More...

## Static Public Attributes
static | $targetPropertyName = 'tabIndexed'
Static Public Attributes inherited from OOUI\ElementMixin
static string | $targetPropertyName = ''
| Property name for accessing the target on the element.

## Protected Attributes
number null | $tabIndex = null
| Tab index value.
Protected Attributes inherited from OOUI\ElementMixin
Element | $element = null
| Element being mixed into.

## Additional Inherited Members
Public Attributes inherited from OOUI\ElementMixin
Tag | $target = null
| Tag being targeted.

## Detailed Description

Element supporting "sequential focus navigation" using the 'tabindex' attribute.

## Constructor & Destructor Documentation

OOUI\TabIndexedElement::__construct | ( | Element | $element,
|  | array | $config = `array()`
| ) |  |

Parameters

  Element | $element | Element being mixed into
  array | $config | Configuration options
  number | null | $config,['tabIndex'] | Tab index value. Use 0 to use default ordering, use -1 to prevent tab focusing, use null to suppress the `tabindex` attribute. (default: 0)

## Member Function Documentation

OOUI\TabIndexedElement::getTabIndex | ( |  | ) |

Get tab index value.

Returns
  number|null Tab index value

OOUI\TabIndexedElement::setTabIndex | ( |  | $tabIndex | ) |

Set tab index value.

Parameters

  number | null | $tabIndex | Tab index value or null for no tab index

Returns
  $this

OOUI\TabIndexedElement::updateTabIndex | ( |  | ) |

Update the tabIndex attribute, in case of changes to tabIndex or disabled state.

Returns
  $this

The documentation for this class was generated from the following file:

- php/mixins/TabIndexedElement.php